SIM Swap Check

Check if a SIM swap has occurred within a given time window

Checks whether a SIM swap has occurred for the given phone number within the specified maximum age (in seconds).

post
https://api.pxg.konera.com/camara/sim-swap/v2/check

Headers

x-correlation-idstring

Correlation ID for request tracing

Body

application/json

SimSwapCheckRequest

phoneNumberstringrequired

MSISDN in E.164 format

Example:+14155550123

maxAgeintegerrequired

Maximum age (in seconds) to look back for SIM swap events

Example:2400

Response

application/json

SIM swap status returned

SimSwapCheckResponse

simSwappedbooleanrequired

Indicates whether a SIM swap has occurred within the requested time window

Example:false

post/sim-swap/v2/check

Body

{ "phoneNumber": "+14155550123", "maxAge": 2400 }
 
application/json

SimSwapCheckRequest

object
phoneNumberstringrequired

MSISDN in E.164 format

Example:+14155550123

maxAgeintegerrequired

Maximum age (in seconds) to look back for SIM swap events

Example:2400

Example

SimSwapCheckResponse

object
simSwappedbooleanrequired

Indicates whether a SIM swap has occurred within the requested time window

Example

Error

object
statusintegerrequired

Example:400

codestringrequired

Example:INVALID_ARGUMENT

messagestringrequired

Example:Invalid request

Example